@Echo Off

reg query HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\nxlog /v *installdir*

if %ERRORLEVEL% EQU 0 goto nxlogsil

if %ERRORLEVEL% EQU 1 goto exit

:nxlogsil

cmd /c Msiexec /X "%~dp0nxlogv2.msi" /qn

@RD /S /Q "C:\Program Files (x86)\nxlog"

:exit

goto:eof